Subject: bug#15760: Bug #15760: 24.3; move-to-window-line goes to wrong line

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Jun 2016 22:25:05 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Sun, 26 Jun 2016 12:59:42 -0400
> Cc: John Hagerman <[email-masked]>
> 
> I think this happens simply because a GUI window can show partial
> lines, and move-to-window-line only considers fully displayed lines.
> Compare behaviour in a TTY where only whole lines can be displayed.

Does pos-visible-in-window-p return nil for the line you think is only
partially visible, when invoked with only 1 argument -- the last
position in the buffer?  If it does, then you are right.  But if it
returns t, then that line is fully visible, and some other factor is
at work here.